package com.ruoyi.web.controller.api;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.system.domain.TPatientHospitalDoctor;
import com.ruoyi.system.domain.TRecord;
import com.ruoyi.system.domain.resp.PatientHistoryRecordResp;
import com.ruoyi.system.domain.resp.TRecordResp;
import com.ruoyi.system.service.ITRecordService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Comparator;
import java.util.List;
import java.util.stream.Collectors;

@Api("mp接口")
@RestController
@RequestMapping("/api/mp")
public class MpController extends BaseController {
    @Autowired
    private ITRecordService tRecordService;

    @ApiOperation("患者诊断记录")
    @GetMapping("/patient/history/record")
    public AjaxResult queryPatientHistoryRecord()
    {
        TRecord tRecord = new TRecord();
        tRecord.setPatientId(getUserId());
        List<PatientHistoryRecordResp> resp = tRecordService.queryPatientHistoryRecord(tRecord);
        return AjaxResult.success(resp);
    }
}
