package com.ruoyi.system.domain.req;

import com.ruoyi.common.utils.Phone;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

public class AppRegisterReq implements Serializable {
    private static final long serialVersionUID = -2536864616757279758L;

    @NotBlank
    @Length(max = 10)
    private String name;

    @Phone
    @NotBlank
    private String phone;

    @NotNull
    private Long hospitalId;

    /**
     * 专长
     */
    @Length(max = 30)
    private String speciality;

    /**
     * 医生执照
     */
    private String medicalLicense;

    private String medicalLicense2;

    @Length(max = 20)
    private String title;

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getMedicalLicense2() {
        return medicalLicense2;
    }

    public void setMedicalLicense2(String medicalLicense2) {
        this.medicalLicense2 = medicalLicense2;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }

    public String getSpeciality() {
        return speciality;
    }

    public void setSpeciality(String speciality) {
        this.speciality = speciality;
    }

    public String getMedicalLicense() {
        return medicalLicense;
    }

    public void setMedicalLicense(String medicalLicense) {
        this.medicalLicense = medicalLicense;
    }

    @Override
    public String toString() {
        return "AppRegisterReq{" +
                "name='" + name + '\'' +
                ", phone='" + phone + '\'' +
                ", hospitalId=" + hospitalId +
                ", speciality='" + speciality + '\'' +
                ", medicalLicense='" + medicalLicense + '\'' +
                '}';
    }
}
